Revoke customer invitation
curl --request DELETE \
--url https://api.natural.com/customers/invitations/{invitationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/customers/invitations/{invitationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/customers/invitations/{invitationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/customers/invitations/{invitationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/customers/invitations/{invitationId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.natural.com/customers/invitations/{invitationId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/customers/invitations/{invitationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "agentDelegationInvitation",
"id": "adi_019cd1798d96adc082e235b426d4e04c",
"attributes": {
"developerName": "Acme Payments",
"email": "ops@bistroroma.com",
"phone": null,
"url": "https://www.natural.com/connect/adi_019cd1798d96adc082e235b426d4e04c",
"agentName": "Procurement Agent",
"permissions": [
"payments.read",
"payments.create",
"externalAccounts.create",
"wallets.balance",
"wallets.update",
"party.read",
"party.update"
],
"limits": {
"perTransaction": 100000
},
"status": "canceled",
"effectiveStatus": "canceled",
"expiresAt": "2026-01-12T10:15:00.000Z",
"acceptedAt": null,
"declinedAt": null,
"cancelReason": "developerRevoked",
"redirectUrl": "https://app.acmepayments.com/connected",
"tags": {
"campaign": "q3_reactivation"
},
"createdAt": "2026-01-05T10:15:00.000Z",
"updatedAt": "2026-01-05T10:20:00.000Z"
},
"relationships": {
"agent": {
"data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
}
},
"customerParty": {
"data": null
}
}
},
"meta": {
"deleted": true
}
}Customer Invitations
Revoke customer invitation
Revoke a pending invitation that your party sent to a customer. An invitation that another party sent returns 404.
DELETE
/
customers
/
invitations
/
{invitationId}
Revoke customer invitation
curl --request DELETE \
--url https://api.natural.com/customers/invitations/{invitationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/customers/invitations/{invitationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/customers/invitations/{invitationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/customers/invitations/{invitationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/customers/invitations/{invitationId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.natural.com/customers/invitations/{invitationId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/customers/invitations/{invitationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "agentDelegationInvitation",
"id": "adi_019cd1798d96adc082e235b426d4e04c",
"attributes": {
"developerName": "Acme Payments",
"email": "ops@bistroroma.com",
"phone": null,
"url": "https://www.natural.com/connect/adi_019cd1798d96adc082e235b426d4e04c",
"agentName": "Procurement Agent",
"permissions": [
"payments.read",
"payments.create",
"externalAccounts.create",
"wallets.balance",
"wallets.update",
"party.read",
"party.update"
],
"limits": {
"perTransaction": 100000
},
"status": "canceled",
"effectiveStatus": "canceled",
"expiresAt": "2026-01-12T10:15:00.000Z",
"acceptedAt": null,
"declinedAt": null,
"cancelReason": "developerRevoked",
"redirectUrl": "https://app.acmepayments.com/connected",
"tags": {
"campaign": "q3_reactivation"
},
"createdAt": "2026-01-05T10:15:00.000Z",
"updatedAt": "2026-01-05T10:20:00.000Z"
},
"relationships": {
"agent": {
"data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
}
},
"customerParty": {
"data": null
}
}
},
"meta": {
"deleted": true
}
}Authorizations
Headers
Was this page helpful?